OTP::Transform::Point::point_data Struct Reference

The point_data struct. More...

`#include <transform.h>`

Inheritance diagram for OTP::Transform::Point::point_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| point_data::streamSize More...
void | iStream (PDU::Stream) override
| point_data::iStream More...
void | oStream (PDU::Stream) const override
| point_data::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

uint8_t | priority = 100
| priority, between 0 and 200
uint16_t | group
| group number
uint32_t | point
| point number
Timestamp | timestamp
| timestamp
union {
uint8_t options
struct {
uint8_t f_reserved: 8
} |
}; |
uint32_t | reserved
| reserved
PDU::Block< Module::pdu > | modules
| block of module PDU

## Detailed Description

The point_data struct.

## Member Function Documentation

## iStream()

void OTP::Transform::Point::point_data::iStream | ( | PDU::Stream | stream | ) |

override

point_data::iStream

Parameters

  stream |

## oStream()

void OTP::Transform::Point::point_data::oStream | ( | PDU::Stream | stream | ) | const

override

point_data::oStream

Parameters

  stream |

## streamSize()

size_t OTP::Transform::Point::point_data::streamSize | ( |  | ) | const

overridevirtual

point_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.cpp